public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-dotenv/
Date: Mon,  9 Nov 2020 00:39:29 +0000 (UTC)	[thread overview]
Message-ID: <1604882290.2b1292819dfc3d6625c2bdd9fd6eefa86cfc1662.sping@gentoo> (raw)

commit:     2b1292819dfc3d6625c2bdd9fd6eefa86cfc1662
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  9 00:38:10 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon Nov  9 00:38:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b129281

dev-python/python-dotenv: 0.15.0

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.0, Repoman-2.3.23

 dev-python/python-dotenv/Manifest                  |  1 +
 .../python-dotenv/python-dotenv-0.15.0.ebuild      | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/python-dotenv/Manifest b/dev-python/python-dotenv/Manifest
index e36530020e5..53503d1fc36 100644
--- a/dev-python/python-dotenv/Manifest
+++ b/dev-python/python-dotenv/Manifest
@@ -1 +1,2 @@
 DIST python-dotenv-0.14.0.tar.gz 29029 BLAKE2B 33db159192faf9b74439b5e98e2b9a090a68001ac19eafd2925071ac7fc1872f7ee585b575dd96615c2ef934041dbfacca7948b7a8a69419243f9823f3bf6b42 SHA512 e8f6d575cd76cb231d14d98befe8a75017c927e0de39fbffc0ecb852b2aab1ada964cf37ed51c50968a4e8a96822a794c960a058a6deb6a2f0a8f8061d0560df
+DIST python-dotenv-0.15.0.tar.gz 30008 BLAKE2B 1a406145f0d0497aa037dc95b80fb04854b2889ba4014e4689a24b142d5d71c49d24ac60406f8b2dc873e661c19e36604ef58eb03c7bc9f890f6d4561be199a6 SHA512 f1f16d2688041259027b12920ac5f47c2d1d96cfc3ec8a362a05ddfb13fee2cf4926c20ad38eda521fcafb6eef8d7895d86dedadef1b1ea2ecd7e33734b07cbe

diff --git a/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild b/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild
new file mode 100644
index 00000000000..facf646f4b7
--- /dev/null
+++ b/dev-python/python-dotenv/python-dotenv-0.15.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Manage .env files"
+HOMEPAGE="https://github.com/theskumar/python-dotenv"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+DEPEND="test? (
+		>=dev-python/click-5[${PYTHON_USEDEP}]
+		dev-python/ipython[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+		>=dev-python/sh-1.09[${PYTHON_USEDEP}]
+	)"
+
+DOCS=( CHANGELOG.md README.md )
+
+distutils_enable_tests pytest
+
+python_test() {
+	# Tests call the "dotenv" command which needs to be in PATH
+	# https://bugs.gentoo.org/743784
+	distutils_install_for_testing
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-11-09  0:39 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-09  0:39 Sebastian Pipping [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-25 18:46 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-dotenv/ Arthur Zamarin
2024-07-12 12:03 Michał Górny
2024-05-11 17:36 Michał Górny
2024-02-08 14:48 Michał Górny
2024-02-08 14:43 Michał Górny
2024-01-23 18:18 Arthur Zamarin
2023-05-29 15:03 Michał Górny
2023-03-14 13:55 Michał Górny
2023-03-14  7:03 Arthur Zamarin
2023-02-25  6:06 Michał Górny
2023-02-23 15:18 Sebastian Pipping
2023-02-23 15:14 Michał Górny
2023-02-23  6:19 Michał Górny
2023-02-23  6:19 Michał Górny
2023-02-22 20:30 Arthur Zamarin
2023-01-21 19:12 Sebastian Pipping
2022-11-29  0:43 Sebastian Pipping
2022-10-09 16:15 James Le Cuirot
2022-10-07  7:03 Michał Górny
2022-10-05 10:44 Michał Górny
2022-10-05  7:50 Arthur Zamarin
2022-09-03 17:16 Sebastian Pipping
2022-05-15  8:19 Jakov Smolić
2022-05-15  8:04 Michał Górny
2022-05-11 12:56 Jakov Smolić
2022-05-01  1:52 WANG Xuerui
2022-04-08 14:23 Arthur Zamarin
2022-04-08 14:23 Arthur Zamarin
2022-04-07 14:13 Michał Górny
2022-04-07 14:13 Michał Górny
2022-03-25 10:03 Michał Górny
2022-03-18 22:28 Michał Górny
2022-03-18 17:26 Arthur Zamarin
2022-02-15  9:39 Michał Górny
2021-12-03 20:47 Arthur Zamarin
2021-11-24 23:59 Sam James
2021-11-18 10:50 Sam James
2021-11-18 10:39 Sam James
2021-11-18  9:09 Sam James
2021-11-13 13:28 Michał Górny
2021-11-13 12:16 Jakov Smolić
2021-11-11 14:20 Sebastian Pipping
2021-10-10  6:45 Michał Górny
2021-09-12  7:44 Michał Górny
2021-09-12  7:09 Agostino Sarubbo
2021-08-19 19:57 Sam James
2021-08-11 19:26 Sam James
2021-08-07 10:18 Louis Sautier
2021-08-04 18:43 Louis Sautier
2021-07-29  7:10 Agostino Sarubbo
2021-07-28  6:42 Agostino Sarubbo
2021-07-24 18:07 Sebastian Pipping
2021-07-11 10:14 Georgy Yakovlev
2021-06-21  7:54 Michał Górny
2021-06-20  1:45 Sam James
2021-04-30 15:50 Michał Górny
2021-04-30 15:23 Agostino Sarubbo
2021-04-30  0:26 Sebastian Pipping
2021-04-07  2:11 Sebastian Pipping
2021-03-28  9:48 Michał Górny
2021-03-27 13:45 Sebastian Pipping
2021-02-01  8:50 Michał Górny
2021-02-01  4:43 Sam James
2020-12-16 11:51 Michał Górny
2020-11-13  4:57 Sam James
2020-11-04  5:32 Sam James
2020-09-20 19:17 Louis Sautier
2020-09-13 19:22 Louis Sautier
2020-09-05  0:29 Sam James
2020-07-26 20:06 Sebastian Pipping
2020-06-03 16:46 Sebastian Pipping

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1604882290.2b1292819dfc3d6625c2bdd9fd6eefa86cfc1662.sping@gentoo \
    --to=sping@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox